Subject: Re: Command-line options for setup.exe
From: Robert Collins <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: 26 Feb 2003 09:58:53 +1100

On Wed, 2003-02-26 at 09:46, Max Bowsher wrote:
> Igor Pechtchanski wrote:
> > On Tue, 25 Feb 2003, Max Bowsher wrote:
> >> No, building it as a MinGW app is fine.
> >> But it must be run from a CYGWIN=tty shell.
> > 
> > Oh, ok.  I don't use "tty" myself, so I needed it built as a Cygwin
> > app. Could it, perhaps, pop up a dialog box instead if stdout is not
> > available? Is there any way of detecting whether output to stdout
> > will be seen? 
> 
> Detection is the tricky part. I can't figure out how.

I wouldn't bother with detection. setup.exe is a gui, it's fine for it
to show help as a gui.

What is needed is this:
The current libgetopt call to show the parameter help should become a
convenience call over a lower interface.

That interface should:
* Provide a const interator to all the options in the optionset.

That will let setup iterate over the options, extracting the help text
and placing into a GUI text area (or a combobox etc etc).

This is also on my TODO, and why I haven't applied your trivial 'add
help' option to setup - because it will need to be changed no matter
what.

Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.